%global patchlvl 11

Name:           cvsclient
Version:        71
Release:        3.jenkins%{patchlvl}%{?dist}
Summary:        CVS library for Java

License:        CDDL or GPLv2 with exceptions
URL:            https://github.com/jenkinsci/cvsclient
Source0:        https://github.com/jenkinsci/%{name}/archive/%{name}-%{version}-jenkins-11.tar.gz
Source1:        https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jsch)
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
This package contains Netbeans CVSClient library patched for serialization and
synchronization.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}-jenkins-%{patchlvl}

cp %{SOURCE1} .

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE.txt
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 71-3.jenkins11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 15 2014 Michal Srb <msrb@redhat.com> - 71-1.jenkins11
- Initial packaging

